For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • Voice Generation
    • Speech-to-Speech
  • Voice Creation
  • Voice Tools
  • Real-Time Agents
    • Overview
      • Overview
      • List Webhooks
      • Get Webhook
      • Create Webhook
      • Update Webhook
      • Delete Webhook
  • Safety & Detection
Status
LogoLogo
On this page
  • HTTP Request
  • URL Parameters
  • Example Request
  • Response
  • Response Body
Real-Time AgentsAgent Webhooks

Get Webhook

Was this page helpful?
Previous

Create Webhook

Next
Built with

Retrieve a specific webhook by ID.

HTTP Request

$GET https://app.resemble.ai/api/v2/agents/{agent_uuid}/webhooks/{id}

URL Parameters

ParameterTypeDescription
agent_uuidstringThe agent’s UUID
idintegerThe webhook ID

Example Request

$curl --request GET "https://app.resemble.ai/api/v2/agents/550e8400-e29b-41d4-a716-446655440000/webhooks/1" \
> -H "Authorization: Bearer YOUR_API_TOKEN" \
> -H "Content-Type: application/json"

Response

1{
2 "success": true,
3 "item": {
4 "id": 1,
5 "webhook_type": "pre_call",
6 "webhook_config": {
7 "api_schema": {
8 "url": "https://api.example.com/pre-call",
9 "method": "POST"
10 },
11 "assignments": [],
12 "response_timeout_secs": 10
13 },
14 "created_at": "2025-01-27T10:00:00Z",
15 "updated_at": "2025-01-27T10:00:00Z"
16 }
17}

Response Body

See List Webhooks for detailed field descriptions.